### Class

# WebKitWebProcessExtension WebHitTestResult

since: 2.8

#### Description [src]

    final class WebKitWebProcessExtension.WebHitTestResult : GObject.Object
    {
      /* No available fields */
    }

Result of a Hit Test (Web Process Extensions).

WebKitWebHitTestResult extends `WebKitHitTestResult` to provide information about the `WebKitDOMNode` in the coordinates of the Hit Test.

Available since: 2.8

#### Ancestors

- GObject

#### Instance methods

###### webkit_web_hit_test_result_context_is_editable

Check whether there is an editable element at the hit test position.

unstable since: 6.0

###### webkit_web_hit_test_result_context_is_image

Check whether there is an image element at the hit test position.

unstable since: 6.0

###### webkit_web_hit_test_result_context_is_link

Check whether there is a link element at the hit test position.

unstable since: 6.0

###### webkit_web_hit_test_result_context_is_media

Check whether there is a media element at the hit test position.

unstable since: 6.0

###### webkit_web_hit_test_result_context_is_scrollbar

Check whether there is a scrollbar at the hit test position.

unstable since: 6.0

###### webkit_web_hit_test_result_context_is_selection

Check whether there is a selected element at the hit test position.

unstable since: 6.0

###### webkit_web_hit_test_result_get_context

Gets the the context flags for the hit test result.

unstable since: 6.0

###### webkit_web_hit_test_result_get_image_uri

Obtains the URI associated with the image element at the hit test position.

unstable since: 6.0

###### webkit_web_hit_test_result_get_js_node

Get the `JSCValue` for the DOM node in `world` at the coordinates of the Hit Test.

since: 2.40

###### webkit_web_hit_test_result_get_link_label

Obtains the label associated with the link element at the hit test position.

unstable since: 6.0

###### webkit_web_hit_test_result_get_link_title

Obtains the title associated with the link element at the hit test position.

unstable since: 6.0

###### webkit_web_hit_test_result_get_link_uri

Obtains the URI associated with the link element at the hit test position.

unstable since: 6.0

###### webkit_web_hit_test_result_get_media_uri

Obtains the URI associated with the media element at the hit test position.

unstable since: 6.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct WebKitWebProcessExtensionWebHitTestResultClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.